> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post password

> Changes the password for the requesting User's account.

The requesting User must have the following rights to perform this task:

The Password Change request encompasses the following data fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/auth.yaml post /password
openapi: 3.1.0
info:
  description: auth
  version: '2.0'
  title: Reserve Auth API
servers:
  - url: /auth/
security: []
tags:
  - name: ApplicationDomainService
    description: |-
      This service handles retrieving Authentication Domain values for an
      application.
  - name: ApplicationLoginService
    description: Handles application authentication.
  - name: LogoutService
    description: Provides user logout services.
  - name: UserLoginService
  - name: UserPasswordService
    description: Handles password managing.
paths:
  /password:
    post:
      tags:
        - UserPasswordService
      description: |-
        Changes the password for the requesting User's account.

        The requesting User must have the following rights to perform this task:

        The Password Change request encompasses the following data fields:
      operationId: changePassword
      parameters: []
      requestBody:
        description: >-
          ChangeOwnPasswordData which includes the old password value and new
          password value.
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  newPassword: ...
                  emailAddress: ...
                  oldPassword: ...
            schema:
              $ref: '#/components/schemas/ChangeOwnPasswordData'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: string
          description: >-
            AuthResponse (or Response(AgilquestExceptionData) if there are any
            Agilquest.com Exceptions)
      security:
        - AppAuthToken: []
components:
  schemas:
    ChangeOwnPasswordData:
      type: object
      title: ChangeOwnPasswordData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            newPassword:
              type: string
            emailAddress:
              type: string
            oldPassword:
              type: string
      example:
        newPassword: ...
        emailAddress: ...
        oldPassword: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
  securitySchemes:
    AppAuthToken:
      type: apiKey
      in: header
      name: AQOB-AppAuthToken

````